Quickpay

Quickpay is a powerful feature designed to streamline user onboarding through a single, simple transaction. It allows you to create a deposit and sign up a new customer without collecting their personal details upfront.

The merchant initiate a payment with minimal information, and once the user pays, their full details (like name and document number) can be obtained via API.

circle-check

Quickpay coverage


How It Works

1

Create a deposit

You send a request to our standard POST /deposits endpoint. The key difference is that you provide minimal or no information in the payer[] object.

For more information regarding the deposit creation endpoint, please visit the API Reference pencilCreate deposit

{
    "invoice_id" : "1000000001",
    "amount": "10",
    "country": "BR",
    "currency": "BRL",
    "payment_method": "IX",
    "description": "test description",
    "client_ip": "123.123.123.123",
    "device_id": "00000000-00000000-01234567-89ABCDEF",
    "notification_url": "https://www.merchant.com/onekeypayments/notify",
    "test": false,
    "mobile": true,
    "language": "pt"
}
2

User completes the payment

Your customer uses the generated payment instructions (e.g., a PIX QR code or SPEI transfer details) to complete the transaction

3

Obtain payer information

Once the payment is confirmed, you'll receive a webhook notification to your notification_url.

For more information on this point, please visit message-medicalNotifications

This notification is your signal to query the deposit status endpoint . The response from this endpoint will be enriched with the payer's full details (name, document number, etc.).

For more information on retrieving deposit status please visit the API Reference magnifying-glassGet deposit status

You can then use this data to create or update their account in your system.


Country specific requirements

  • Pix ( 🇧🇷 Brazil): The payer object is not required and should be completely omitted from the request body.

  • SPEI (🇲🇽 Mexico): The payer object is required, but it only needs one field: payer.id. This id must be a unique reference for the user within your system, not the customer's official document number (e.g., CURP).

Example requests

{
    "invoice_id": "1000000001",
    "amount": "10.00",
    "country": "BR",
    "currency": "BRL",
    "payment_method": "IX",
    "description": "Onboarding deposit",
    "client_ip": "123.123.123.123",
    "device_id": "00000000-00000000-01234567-89ABCDEF",
    "notification_url": "https://your-domain.com/notifications",
    "test": false
}

Last updated

Was this helpful?